﻿/**
 * Execute the command on request.
 */
var progressPopUp = null;

/**
 * Add the event listener to requests.
 */
browser.runtime.onMessage.addListener(
    function(request, sender, sendResponse)
    {
        if(request.command=="show")
        {
            var message     = request.message;
            var imgSrc      = browser.extension.getURL("skin/16.png");

            if(request.type=="info")
            {
                if(progressPopUp != null) progressPopUp.close(true);
				var width = $(document).width()/2 - 165;
                progressPopUp = $(document).modal({
                   width:360,
                   height:60,
                   style:"position: fixed ;top: 50% ;left: " + width + "px ;margin: 0 ;padding: 10px ;z-index: 2147483646 ;background: #000000 ;color: #ffffff ;border: 1px solid rgba(255,255,255,0.5);-webkit-box-shadow: rgba(0, 0, 0, 0.2) 3px 3px;border-radius: 5px;overflow: hidden;",
                   content:"<div style='font-size:18px;color:#FFFFFF;font-family:verdana;letter-spacing:-1px;'><img src='"+imgSrc+"' style='margin-right:8px;padding-top:4px;vertical-align:unset;'/>Sending <span style='color:#808285;'>"+message+"</span> to Mindomo...</div>",
                   parent:document});
            }
            else
            {
               var exMessage = "";
               if(message != null && message != undefined) exMessage = "- " + message;
               if(progressPopUp != null) progressPopUp.close(true);
			   var width = $(document).width()/2 - 165;
               progressPopUp = $(document).modal({
                   width:360,
                   height:40,
                   style:"position: fixed ;top: 50% ;left: " + width + "px ;margin: 0 ;padding: 10px  ;z-index: 2147483646 ;background: #c41230 ;color: #ffffff ;border: solid 1px rgba(255,255,255,0.5);-webkit-box-shadow: rgba(0, 0, 0, 0.2) 3px 3px;border-radius: 5px;overflow: hidden;",
                   content:"<div style='font-size:16px;color:#FFFFFF;font-family:verdana;letter-spacing:-1px;'><img src='"+imgSrc+"' style='margin-right:8px;padding-top:4px;'/>Error Saving "+exMessage+"...</div>",
                   parent:document});
            }
            progressPopUp.open();
        }
        else if(request.command == "hide")
        {
            if(progressPopUp != null)
            {
                if(progressPopUp.close()) progressPopUp = null;
            }
        }
    }
);